Rapid7 Vulnerability & Exploit Database

SUSE: CVE-2018-18065: SUSE Linux Security Advisory

Back to Search

SUSE: CVE-2018-18065: SUSE Linux Security Advisory

Severity
4
CVSS
(AV:N/AC:L/Au:S/C:N/I:N/A:P)
Published
10/08/2018
Created
03/19/2019
Added
10/24/2018
Modified
03/22/2022

Description

_set_key in agent/helpers/table_container.c in Net-SNMP before 5.8 has a NULL Pointer Exception bug that can be used by an authenticated attacker to remotely cause the instance to crash via a crafted UDP packet, resulting in Denial of Service.

Solution(s)

  • suse-upgrade-libsnmp30
  • suse-upgrade-libsnmp30-32bit
  • suse-upgrade-net-snmp
  • suse-upgrade-net-snmp-devel
  • suse-upgrade-net-snmp-devel-32bit
  • suse-upgrade-perl-snmp
  • suse-upgrade-python2-net-snmp
  • suse-upgrade-python3-net-snmp
  • suse-upgrade-snmp-mibs

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;